Page MenuHome

Blender Manual: VCS Branching
Closed, ResolvedPublicTO DO

Description

Now that Blender has switched to a dual release schedule it is important to also follow the same release branching as the main development. What this means, is when Blender is in BCON 3 we make a development branch in SVN to continue work on the current release.

Reference the Blender release schedule here:

https://wiki.blender.org/wiki/Process/Release_Cycle

Todo

  • Create a blender-v2.83-release branch
  • Update server-side scripts
  • Update our developer documentation

Event Timeline

Aaron Carlisle (Blendify) changed the task status from Needs Triage to Confirmed.May 28 2020, 10:44 PM
Aaron Carlisle (Blendify) created this task.
Christopher_Anderssarian changed the subtype of this task from "Report" to "To Do".May 31 2020, 11:33 AM

@Aaron Carlisle (Blendify) is this something you are still working on? Is this still needed?

I am interested in this still but I think T73394: bf-manual: Migrate From SVN to Git + Git-LFS needs to be decided on first. While this is possible with SVN using Git would make more sense here.

Aaron Carlisle (Blendify) closed this task as Resolved.Jan 26 2021, 4:31 AM
Aaron Carlisle (Blendify) claimed this task.
Aaron Carlisle (Blendify) updated the task description. (Show Details)